--MyWarps--
--Based on Mcrainbow by Kwen--

--SETTINGS--
change_gm_when_changing_world = true
clear_inv_when_going_from_creative_to_survival = false
--SETTINGS--

warps = {}

function Initialize(Plugin)
    Plugin:SetName( "MyWarps" )
    Plugin:SetVersion( 1 )
	
	PluginManager = cRoot:Get():GetPluginManager()
	PluginManager:BindCommand("/warp",        	  	  "warp.warp",      	      HandleWarpCommand,      		      " - Moves player to location of warp [Tag].");
	PluginManager:BindCommand("/setwarp",     	      "warp.setwarp",     	      HandleSetWarpCommand,   		      " - Creates a warp at players location.");
	PluginManager:BindCommand("/delwarp",            "warp.dropwarp",            HandleDelWarpCommand,        	  " - Deletes a warp.");
	PluginManager:BindCommand("/warps",         	  "warp.listwarp",            HandleListWarpCommand,              " - Lists all warps.");
	
	PluginManager.AddHook(PluginManager.HOOK_PLAYER_RIGHT_CLICK, OnPlayerRightClick)
	PluginManager.AddHook(PluginManager.HOOK_PLAYER_BREAKING_BLOCK, OnPlayerBreakingBlock)
	PluginManager.AddHook(PluginManager.HOOK_UPDATING_SIGN, OnUpdatingSign);
	
	local WarpsINI = cIniFile()
	if (WarpsINI:ReadFile("warps.ini") == true ) then
		warpNum = WarpsINI:GetNumKeys();
		for i=0, warpNum do
			local Tag = WarpsINI:GetKeyName(i)
			warps[Tag] = {}
			warps[Tag]["w"] = WarpsINI:GetValue( Tag , "w")
			warps[Tag]["x"] = WarpsINI:GetValueI( Tag , "x")
			warps[Tag]["y"] = WarpsINI:GetValueI( Tag , "y")
			warps[Tag]["z"] = WarpsINI:GetValueI( Tag , "z")
		end
    end
	return true
end

